commit: a363f5ee4c6ba40e2c0b28f62d8963d43fce6b41
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed May 3 09:28:11 2017 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed May 3 09:28:26 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a363f5ee
media-libs/harfbuzz: Added "debug" USE flag (bug #616816).
Package-Manager: Portage-2.3.5, Repoman-2.3.2
.../{harfbuzz-9999.ebuild => harfbuzz-1.4.6-r1.ebuild} | 12 ++++++++----
media-libs/harfbuzz/harfbuzz-9999.ebuild | 10 +++++++---
2 files changed, 15 insertions(+), 7 deletions(-)
diff --git a/media-libs/harfbuzz/harfbuzz-9999.ebuild
b/media-libs/harfbuzz/harfbuzz-1.4.6-r1.ebuild
similarity index 89%
copy from media-libs/harfbuzz/harfbuzz-9999.ebuild
copy to media-libs/harfbuzz/harfbuzz-1.4.6-r1.ebuild
index 6227e71e7bd..2df1f9d8211 100644
--- a/media-libs/harfbuzz/harfbuzz-9999.ebuild
+++ b/media-libs/harfbuzz/harfbuzz-1.4.6-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -8,7 +8,7 @@ EGIT_REPO_URI="git://anongit.freedesktop.org/harfbuzz"
PYTHON_COMPAT=( python2_7 )
-inherit eutils libtool multilib-minimal python-any-r1 xdg-utils
+inherit eutils flag-o-matic libtool multilib-minimal python-any-r1 xdg-utils
DESCRIPTION="An OpenType text shaping engine"
HOMEPAGE="https://www.freedesktop.org/wiki/Software/HarfBuzz"
@@ -19,13 +19,13 @@ SLOT="0/0.9.18" # 0.9.18 introduced the harfbuzz-icu split;
bug #472416
[[ ${PV} == 9999 ]] || \
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~x64-macos
~x86-macos ~x64-solaris"
-IUSE="+cairo fontconfig +glib +graphite icu +introspection static-libs test
+truetype"
+IUSE="+cairo debug fontconfig +glib +graphite icu +introspection static-libs
test +truetype"
REQUIRED_USE="introspection? ( glib )"
RDEPEND="
cairo? ( x11-libs/cairo:= )
fontconfig? ( media-libs/fontconfig:1.0[${MULTILIB_USEDEP}] )
- glib? ( >=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}] )
+ glib? ( >=dev-libs/glib-2.38:2[${MULTILIB_USEDEP}] )
graphite? ( >=media-gfx/graphite2-1.2.1:=[${MULTILIB_USEDEP}] )
icu? ( >=dev-libs/icu-51.2-r1:=[${MULTILIB_USEDEP}] )
introspection? ( >=dev-libs/gobject-introspection-1.34:= )
@@ -45,6 +45,10 @@ DEPEND="${RDEPEND}
pkg_setup() {
use test && python-any-r1_pkg_setup
+ if ! use debug ; then
+ append-cppflags -DNDEBUG
+ append-cppflags -DHB_NDEBUG
+ fi
}
src_prepare() {
diff --git a/media-libs/harfbuzz/harfbuzz-9999.ebuild
b/media-libs/harfbuzz/harfbuzz-9999.ebuild
index 6227e71e7bd..260fc8ecd14 100644
--- a/media-libs/harfbuzz/harfbuzz-9999.ebuild
+++ b/media-libs/harfbuzz/harfbuzz-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -8,7 +8,7 @@ EGIT_REPO_URI="git://anongit.freedesktop.org/harfbuzz"
PYTHON_COMPAT=( python2_7 )
-inherit eutils libtool multilib-minimal python-any-r1 xdg-utils
+inherit eutils flag-o-matic libtool multilib-minimal python-any-r1 xdg-utils
DESCRIPTION="An OpenType text shaping engine"
HOMEPAGE="https://www.freedesktop.org/wiki/Software/HarfBuzz"
@@ -19,7 +19,7 @@ SLOT="0/0.9.18" # 0.9.18 introduced the harfbuzz-icu split;
bug #472416
[[ ${PV} == 9999 ]] || \
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~x64-macos
~x86-macos ~x64-solaris"
-IUSE="+cairo fontconfig +glib +graphite icu +introspection static-libs test
+truetype"
+IUSE="+cairo debug fontconfig +glib +graphite icu +introspection static-libs
test +truetype"
REQUIRED_USE="introspection? ( glib )"
RDEPEND="
@@ -45,6 +45,10 @@ DEPEND="${RDEPEND}
pkg_setup() {
use test && python-any-r1_pkg_setup
+ if ! use debug ; then
+ append-cppflags -DNDEBUG
+ append-cppflags -DHB_NDEBUG
+ fi
}
src_prepare() {